Subject: Re: [PATCH v5 net-next 3/3] selftests:net: Implement ptp4l sync test using netdevsim

From: Jakub Kicinski <[email-masked]>
Date: Wed, 6 May 2026 15:07:25 -0700

On Wed, 6 May 2026 13:18:01 +0200 Maciek Machnikowski wrote:
> On 06/05/2026 02:23, Jakub Kicinski wrote:
> > On Tue, 5 May 2026 17:22:34 -0700 Jakub Kicinski wrote:  
> >> You have to add it to the relevant config.
> >>
> >> Please read: github.com/linux-netdev/nipa/wiki/Netdev-CI-system  
> > 
> > Sorry, wrong link, this:
> > 
> > https://github.com/linux-netdev/nipa/wiki/How-to-run-netdev-selftests-CI-style  
> I did follow the guid, ran the test on the vng environment and it still
> passed the test. Is there more debuggability on the CI system? Can you
> share the .config file it generated while running the test? Or the
> commands it tries to run so I can verify them locally?
> 
> 
> The commands I ran were:
> 
> make mrproper
> vng --build  --config tools/testing/selftests/drivers/net/netdevsim/config
> vng -v --run . --user root --cpus 4 -- tools/testing/selftests/net/ptp.py
> 
> The tests were done on the ARM64 Fedora 44 with the default kernel
> 6.19.14-300.fc44.aarch64 running inside the Parallels Desktop VM.

https://netdev-ctrl.bots.linux.dev/logs/vmksft/net/results/631241/config